$(function (){
  window.render = function (){
    var data = getEleData().data
    // 使用模板引擎动态渲染数据
    var pageContent = template('styleType', { list: data.page })
    $('#editContent .edit-area-element-page .styleType').html(pageContent)
    var gameContent = template('styleType', { list: data.game })
    $('#editContent .edit-area-element-game .styleType').html(gameContent)
    var wardContent = template('styleType', { list: data.prize })
    $('#editContent .edit-area-element-ward .styleType').html(wardContent)
    var ruleContent = template('styleType', { list: data.rule })
    $('#editContent .edit-area-element-rule .styleType').html(ruleContent)
    // 初始化图片上传插件
    $('#previewImg').on('change', function () {
      previewImage(this)
      // setTimeout(() => {
      //   var upImgW = parseInt($('#imghead').css('width'))
      //   var upImgH = parseInt($('#imghead').css('height'))
      //   var upImgPos = { w: upImgW, h: upImgH }
      //   var tipText = template('upImgPos', { list: upImgPos })
      //   // console.log(tipText)
      //   $('#addCommodityIndex .text').html(tipText)
      // }, 20);
    })
  }
})